data.hpp File Reference
`#include <msgpack/preprocessor/config/config.hpp>`
`#include <msgpack/preprocessor/tuple/elem.hpp>`

Go to the source code of this file.

## Macros

#define | MSGPACK_PP_ARRAY_DATA(array) MSGPACK_PP_ARRAY_DATA_I(array)
#define | MSGPACK_PP_ARRAY_DATA_I(array) MSGPACK_PP_ARRAY_DATA_II array
#define | MSGPACK_PP_ARRAY_DATA_II(size, data) data

## Macro Definition Documentation

## MSGPACK_PP_ARRAY_DATA

#define MSGPACK_PP_ARRAY_DATA | ( |  | array | ) | MSGPACK_PP_ARRAY_DATA_I(array)

## MSGPACK_PP_ARRAY_DATA_I

#define MSGPACK_PP_ARRAY_DATA_I | ( |  | array | ) | MSGPACK_PP_ARRAY_DATA_II array

## MSGPACK_PP_ARRAY_DATA_II

#define MSGPACK_PP_ARRAY_DATA_II | ( |  | size,
|  |  | data
| ) |  | data